SendLit logoSendLit Docs
API ReferenceSequencesSequenceidStart

Start a broadcast or activate a sequence

Requires a non-empty mailing address in the team's general settings.

POST
/sequences/{sequenceId}/start

Requires a non-empty mailing address in the team's general settings.

x-sendlit-apikey<token>

In: header

Path Parameters

sequenceId*string

Response Body

application/json

application/json

application/json

curl -X POST "https://api.sendlit.dev/sequences/string/start"
{
  "sequenceId": "string",
  "type": "string",
  "title": "string",
  "status": "string",
  "deliverySource": {
    "type": "organization"
  },
  "triggerType": "string",
  "triggerData": "string",
  "filter": null,
  "excludeFilter": null,
  "emailsOrder": [
    "string"
  ],
  "entrants": [
    "string"
  ],
  "report": null,
  "createdAt": "string",
  "updatedAt": "string",
  "emails": [
    {
      "emailId": "string",
      "subject": "string",
      "content": {
        "style": {
          "property1": null,
          "property2": null
        },
        "meta": {
          "property1": null,
          "property2": null
        },
        "content": [
          {
            "property1": null,
            "property2": null
          }
        ]
      },
      "delayInMillis": 0,
      "published": true,
      "templateId": "string",
      "actionType": "string",
      "actionData": {
        "property1": null,
        "property2": null
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}